aboutsummaryrefslogtreecommitdiff
path: root/dmenu_dt
diff options
context:
space:
mode:
authorXander Swan <email>2025-12-03 10:00:42 -0500
committerXander Swan <email>2025-12-03 10:00:42 -0500
commit9a128539e675333e7441ad893c61f8dce625f317 (patch)
tree3b4b99678c026d2854857259a9803be68448b032 /dmenu_dt
parentb3d6b3ffb2e8fb2c2f6dca90120673f22a40b0a3 (diff)
Update lots and lots
Diffstat (limited to 'dmenu_dt')
-rwxr-xr-xdmenu_dt12
1 files changed, 12 insertions, 0 deletions
diff --git a/dmenu_dt b/dmenu_dt
new file mode 100755
index 0000000..b736722
--- /dev/null
+++ b/dmenu_dt
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+DIR1=~/.local/share/applications
+DIR2=/usr/share/applications
+
+RES=`ls $DIR1 $DIR2 | sed 's/.desktop$//g' | dmenu -i`
+
+gio launch $DIR1/$RES.desktop &> /dev/null
+
+if [[ $? != 0 ]]; then
+ gio launch $DIR2/$RES.desktop
+fi